Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.pf.io
Interface ObjectSource

All Superinterfaces:
  FilterSource, RegistryContext

All Known Implementing Classes:
  CompilationFilter, ContourFilter, DTDFilter, DTDSourceFile.Loader, DTGFilter, FunctionReader, GraphMLReader, GraphReader, GSReader, GSZReader, ImageReader, ImportModule, JavaFilter, LazyFilter, LSYFilter, LuminanceFilter, MSMLProjectLoader, MSMLReader, MTGFilter, MTGLoader, MTGSourceFile.Loader, NullResourceFilter, NullSource, ObjectSourceImpl, RegistryReader, RGGFilter, ShellFilter, SMBFilter, SourceFile.Loader, SPDFilter, SurfaceFilter, X3DImport, XFrogFilter, XFrogProjectLoader, XLFilter, XMLPatchReader, XMLReaderBase, XMLTableReader

    public interface ObjectSource

extends FilterSource

This subinterface of `FilterSource` has to be implemented by filter sources whose flavor supports objects (`IOFlavor.OBJECT`). It represents the data as a single `Object`, its class being restricted by the flavor.

Author:
  Ole Kniemeyer

Nested Class Summary

Nested classes/interfaces inherited from interface de.grogra.pf.io.FilterSource
`FilterSource.MetaDataKey<V>`

Field Summary

Fields inherited from interface de.grogra.pf.io.FilterSource
`AUTO_PROGRESS, DESTINATION_FILE, DESTINATION_URL`

Method Summary
`java.lang.Object` | `getObject()` Returns the data as an object of a class which is compatible which the flavor.

Methods inherited from interface de.grogra.pf.io.FilterSource
`getFilter, getFlavor, getMetaData, getSystemId, initProgressMonitor, setMetaData, setProgress`

Methods inherited from interface de.grogra.pf.registry.RegistryContext
`getRegistry`

Method Detail

### getObject

    java.lang.Object getObject()
                               throws java.io.IOException

  Returns the data as an object of a class which is compatible which the flavor.

  Returns:
    the data
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD